TDatabaseExceptionType (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TDatabaseExceptionType

- java.lang.Object
- - java.lang.Enum<TDatabaseExceptionType>
  - - com.sleepycat.thrift.TDatabaseExceptionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TDatabaseExceptionType>, org.apache.thrift.TEnum

      public enum TDatabaseExceptionType
      extends java.lang.Enum<TDatabaseExceptionType>
      implements org.apache.thrift.TEnum

  ************************* Exception Definitions * *************************

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATABASE`
    `DEADLOCK`
    `HEAP_FULL`
    `LOCK_NOT_GRANTED`
    `META_CHECKSUM_FAIL`
    `RUN_RECOVERY`
    `VERSION_MISMATCH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TDatabaseExceptionType` | `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
    `static TDatabaseExceptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TDatabaseExceptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATABASE

          public static final TDatabaseExceptionType DATABASE

    - #### DEADLOCK

          public static final TDatabaseExceptionType DEADLOCK

    - #### HEAP_FULL

          public static final TDatabaseExceptionType HEAP_FULL

    - #### LOCK_NOT_GRANTED

          public static final TDatabaseExceptionType LOCK_NOT_GRANTED

    - #### META_CHECKSUM_FAIL

          public static final TDatabaseExceptionType META_CHECKSUM_FAIL

    - #### RUN_RECOVERY

          public static final TDatabaseExceptionType RUN_RECOVERY

    - #### VERSION_MISMATCH

          public static final TDatabaseExceptionType VERSION_MISMATCH

  - ### Method Detail

    - #### values

          public static TDatabaseExceptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TDatabaseExceptionType c : TDatabaseExceptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TDatabaseExceptionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.
      Specified by:
        `getValue` in interface `org.apache.thrift.TEnum`

    - #### findByValue

          public static TDatabaseExceptionType findByValue(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.
      Returns:
        null if the value is not found.

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.